<template>
    <div class="card-event">
        <div class="card-event__inner">
            <a class="card-event__image-box" :style="'background-image: url('+ item.image + ')'" :href="item.link">
                <div class="card-event__info" v-if="item.date || item.type">
                    <p class="card-event__info-date">{{ item.date }}</p>
                    <p class="card-event__info-place" v-if="item.type.offline">{{ item.city }}<template v-if="item.type.offline && item.type.online"> + онлайн</template></p>
                    <p class="card-event__info-place" v-if="item.type.online && !item.type.offline">Онлайн</p>
                </div>
                <div class="card-event__price" v-if="item.price">
                    <span class="card-event__price--basic" v-if="item.price.basic">{{ item.price.basic }}</span>
                    <span class="card-event__price--discount" v-if="item.price.discount">{{ item.price.discount }}</span>
                    <span class="card-event__price--free" v-if="item.type && item.type.free">Бесплатно</span>
                </div>
            </a>
            <div class="card-event__content-box">
                <p class="card-event__connection" v-if="item.connection">{{ item.connection }}</p>
                <h3 class="card-event__title"><a :href="item.link">{{ item.title }}</a></h3>
                <p class="card-event__text">{{ item.text }}</p>
                <p class="card-event__speakers" v-if="item.speakers.length">
                    <span v-for="(speaker, index) in item.speakers " :key="index">{{ speaker }}<template v-if="(index + 1) < item.speakers.length"> и </template></span>
                </p>
                <a :href="item.link" class="card-event__button button--full button button--pink button--dots">{{ item.buttonText || 'Узнать подробнее' }}</a>
            </div>
        </div>
    </div>
</template>

<script>
export default {
    props: ['item'],
    data() {
        return {}
    }
}
</script>